from node:14

COPY vendor/GeoNature-citizen/ /home/appuser/citizen/
# todo avoir copy vendor/GeoNature-citizen/backend

WORKDIR /home/appuser/citizen/

ADD https://github.com/PnX-SI/TaxHub/archive/refs/tags/1.7.3.zip /home/appuser/citizen/taxhub.zip
RUN unzip taxhub.zip
RUN mv TaxHub-1.7.3 taxhub

# PATCHES
COPY patches/settings.ini /home/appuser/citizen/config/settings.ini
COPY patches/frontend/src/conf /home/appuser/citizen/frontend/src/conf
COPY patches/frontend/src/assets /home/appuser/citizen/frontend/src/assets
COPY patches/frontend/server.ts /home/appuser/citizen/frontend/server.ts
COPY patches/frontend/src/custom /home/appuser/citizen/frontend/src/custom

WORKDIR /home/appuser/citizen/frontend

# aoir google response
ENV NG_CLI_ANALYTICS=false
RUN npm install

RUN npm run build:i18n-ssr

EXPOSE 4000

# npm run serve:ssr -> sur port 4000